1. Customers
ResellerStack Developer API
  • Introduction
  • Quick start
  • API Reference
    • Customers
      • List customers
        GET
      • Create customer
        POST
      • Get customer
        GET
      • Update customer notes
        PATCH
      • Update customer status
        PATCH
      • Update billing details
        PATCH
    • Geo
      • List countries
      • List states
    • Pricing
      • List TLD pricing
      • Update TLD pricing
      • Set TLD featured
      • Apply bulk margin
      • Reorder TLD pricing
    • Domains
      • List domains
      • Check domain availability
      • Register a domain
      • Checkout domain cart (bulk)
      • Toggle WHOIS privacy
      • Update domain contacts
      • Get domain
      • Toggle transfer lock
      • Toggle auto-renew
      • Preview renewal price
      • Renew domain now
      • Register a domain with Google Workspace
      • List bundle offers for a name
      • Register a bundle
    • Contacts
      • List contacts
      • Create contact
      • Get contact
    • Orders
      • List orders
      • Get order
    • DNS
      • List DNS records
      • Add DNS records
      • Update DNS record
      • Delete DNS record
      • Update nameservers
      • Reset nameservers
      • List DNSSEC records
      • Add DNSSEC record
      • Delete DNSSEC record
    • Wallet
      • Get wallet balance
    • Webhooks
      • workspace.pastdue
      • workspace.expired
      • workspace.txt.failed
      • workspace.renewed
      • workspace.provisioned
      • workspace.txt.ready
      • workspace.txt.propagated
      • workspace.licenses.increased
      • workspace.deleted
      • workspace.failed
      • mailbox.ready
      • mailbox.deleted
      • workspace.dkim.ready
      • workspace.dkim.propagated
      • workspace.domain.swapped
      • Delivered when domain.order.success fires
      • Delivered when domain.order.failed fires
      • Delivered when domain.renewal.success fires
      • Delivered when domain.renewal.failed fires
    • GWS
      • Google Workspace ~ Creation Flow
      • Google Workspace ~ Sandbox Environment
      • Check Workspace Exists
      • Create Workspace
      • List Workspaces
      • Delete Workspace
      • Check DNS Propagation
      • Renew Workspace
      • Change Primary Domain (Beta)
    • Licenses & Mailboxes
      • Create Mailbox
      • List Mailboxes
      • Delete Mailboxes
      • Decrease Seats
  • Health check
    GET
  • Get current partner
    GET
  1. Customers

Get customer

Production
https://api.resellerstack.ai/api/v1
Production
https://api.resellerstack.ai/api/v1
GET
/customers/{id}

Request

Authorization
API Key
Add parameter in header
rs-x-api-key
Example:
rs-x-api-key: ********************
or
Path Params

Responses

🟢200OK
application/json
Customer
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.resellerstack.ai/api/v1/customers/' \
--header 'rs-x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "message": "string",
    "data": {
        "id": "string",
        "partnerId": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string",
        "stripeCustomerId": "string",
        "notes": "string",
        "tags": [
            "string"
        ],
        "status": "ACTIVE",
        "createdAt": "string",
        "workspaces": [
            {
                "userId": "string",
                "id": "string",
                "name": "string",
                "isPrimary": true,
                "createdAt": "string",
                "billingRecords": [
                    {
                        "firstName": "string",
                        "lastName": "string",
                        "company": "string",
                        "addressLineOne": "string",
                        "addressLineTwo": "string",
                        "addressLineThree": "string",
                        "city": "string",
                        "state": "string",
                        "country": "string",
                        "postalCode": "string",
                        "phoneCc": "string",
                        "phone": "string",
                        "languagePreference": "string"
                    }
                ]
            }
        ],
        "mailboxesPurchased": "string",
        "domainsPurchased": "string",
        "netProfit": 0,
        "totalRevenue": 0,
        "health": "good",
        "hasSavedCard": true
    }
}
Modified at 2026-10-22 08:25:33
Previous
Create customer
Next
Update customer notes
Built with